%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname rubigen
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary:        A framework to allow Ruby applications to generate file/folder stubs
Name:           rubygem-%{gemname}
Version:        1.5.6
Release:        1%{?dist}
Group:          Development/Languages
License:        MIT and LGPLv2+
URL:            http://drnic.github.com/rubigen
Source0:        http://rubygems.org/gems/%{gemname}-%{version}.gem
Requires:       ruby(abi) = 1.8
Requires:       rubygems
Requires:       rubygem(activesupport) >= 2.3.5
BuildRequires:  rubygems
BuildArch:      noarch
Provides:       rubygem(%{gemname}) = %{version}

%description
A framework to allow Ruby applications to generate file/folder stubs  (like
the "rails" command does for Ruby on Rails, and the 'script/generate' command
within a Rails application during development).


%prep
%setup -q -c -T
mkdir -p .%{gemdir}
gem install --local --install-dir .%{gemdir} \
            --force -V --rdoc %{SOURCE0}

%build


%install
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* %{buildroot}%{gemdir}

mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}%{gemdir}/bin/* %{buildroot}/%{_bindir}
rmdir %{buildroot}%{gemdir}/bin
find %{buildroot}%{geminstdir}/bin -type f |xargs chmod a+x

# Kill crlf
sed -s 's/\r//g' -i \
        %{buildroot}%{geminstdir}/website/version-raw.txt \
        %{buildroot}%{geminstdir}/website/version.txt

# Already in specifications/
rm -f %{buildroot}%{geminstdir}/rubigen.gemspec


%files
%{_bindir}/install_rubigen_scripts
%{_bindir}/rubigen
%{_bindir}/ruby_app
%dir %{geminstdir}
%{geminstdir}/*_generators
%{geminstdir}/lib
%{geminstdir}/script
%{geminstdir}/bin
%{geminstdir}/config
%{geminstdir}/features
%{geminstdir}/generators
%{geminstdir}/website
%{geminstdir}/Rakefile
%doc %{geminstdir}/test
%doc %{geminstdir}/.autotest
%doc %{gemdir}/doc/%{gemname}-%{version}
%doc %{geminstdir}/History.txt
%doc %{geminstdir}/License.txt
%doc %{geminstdir}/Manifest.txt
%doc %{geminstdir}/README.rdoc
%doc %{geminstdir}/Todo.txt
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec


%changelog
* Tue Aug 9 2011 Mo Morsi - 1.5.6-1
- New upstream version.
- update to conform to fedora guidelines

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun May 9 2010 Matthew Kent <mkent@magoazul.com> - 1.5.4-1
- New upstream version.
- Drop unused sitelib macro.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 08 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 1.5.2-4
- Remove hoe dependency
- Fix up license tag

* Fri Jun 26 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 1.5.2-3
- Get rid of duplicate files (thanks to Mamoru Tasaka)

* Mon Jun 08 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 1.5.2-2
- Depend on ruby(abi)
- Replace defines with globals

* Fri Jun 05 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 1.5.2-1
- Package generated by gem2rpm
- Fix end of line encodings
- Fix up License
